using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航：试题适用岗位
    /// </summary>
    [Description("适用岗位")]
    public class T_SE_TEST_LIST_POST : MesEntityBase
    {
        /// <summary>
        /// 试题ID
        /// </summary>
        [Description("试题")]
        [DataFieldForeignKey("Nav_Test", "Nav_Posts")]
        public Guid TEST_ID { get; set; }
        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 试题")]
        public T_SE_TEST Nav_Test { get; set; }
        /// <summary>
        /// 岗位ID
        /// </summary>
        [Description("岗位ID")]
        [DataFieldForeignKey("Nav_Post")]
        [FormFieldEdit]
        public Guid? POST_ID { get; set; }
        /// <summary>
        /// 导航: 责任制岗位
        /// </summary>
        [Description("导航: 责任制岗位")]
        public T_FM_USER_POST Nav_Post { get; set; }
    }
}
